
From: "Antonino A. Daplas" <adaplas@hotpop.com>

Add the rotate field among parameters saved in struct display (per console
structure).  Some out-of-tree drivers are possibly using this field.

From: Antonino Daplas <adaplas@pol.net>
Signed-off-by: Antonino Daplas <adaplas@pol.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/video/console/fbcon.c |    2 ++
 25-akpm/drivers/video/console/fbcon.h |    1 +
 2 files changed, 3 insertions(+)

diff -puN drivers/video/console/fbcon.c~fbcon-save-var-rotate-field-in-struct-display drivers/video/console/fbcon.c
--- 25/drivers/video/console/fbcon.c~fbcon-save-var-rotate-field-in-struct-display	2005-03-20 16:04:55.000000000 -0800
+++ 25-akpm/drivers/video/console/fbcon.c	2005-03-20 16:04:55.000000000 -0800
@@ -703,6 +703,7 @@ static int var_to_display(struct display
 	disp->green = var->green;
 	disp->blue = var->blue;
 	disp->transp = var->transp;
+	disp->rotate = var->rotate;
 	disp->mode = fb_match_mode(var, &info->modelist);
 	if (disp->mode == NULL)
 		/* This should not happen */
@@ -726,6 +727,7 @@ static void display_to_var(struct fb_var
 	var->green = disp->green;
 	var->blue = disp->blue;
 	var->transp = disp->transp;
+	var->rotate = disp->rotate;
 }
 
 static const char *fbcon_startup(void)
diff -puN drivers/video/console/fbcon.h~fbcon-save-var-rotate-field-in-struct-display drivers/video/console/fbcon.h
--- 25/drivers/video/console/fbcon.h~fbcon-save-var-rotate-field-in-struct-display	2005-03-20 16:04:55.000000000 -0800
+++ 25-akpm/drivers/video/console/fbcon.h	2005-03-20 16:04:55.000000000 -0800
@@ -41,6 +41,7 @@ struct display {
     u32 grayscale;
     u32 nonstd;
     u32 accel_flags;
+    u32 rotate;
     struct fb_bitfield red;
     struct fb_bitfield green;
     struct fb_bitfield blue;
_
